/**********************************************************************
 * Copyright (c) 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
*
 * Contributors:
 *    IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.monitor.core;
/**
 * 
 */
public interface IMonitor {
	public String getId();

	public String getRemoteHost();
	
	public int getRemotePort();
	
	public int getLocalPort();
	
	public IProtocolAdapter getProtocolAdapter();
	
	public boolean isRunning();
	
	public void delete();
	
	public boolean isWorkingCopy();
	
	public IMonitorWorkingCopy getWorkingCopy();
}