/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl.validate.wsi.internal;

import org.eclipse.wsdl.validate.wsi.CheckWSI;

/**
 * Default implementation of the ICheckWSI interface. Sets the check to WSI_REQUIRE.
 * 
 * @author Lawrence Mandel (lmandel@ca.ibm.com)
 */
public class CheckWSIImpl extends CheckWSI
{
  /**
   * Constructor.
   */
  public CheckWSIImpl()
  {
  }

  /* (non-Javadoc)
   * @see org.eclipse.wsdl.validate.wsi.CheckWSI#checkWSI(java.lang.String)
   */
  public int checkWSI(String fileURI)
  {
    return WSI_REQUIRE;
  }

}
