/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model.exception;

/**
 * A custom exception class for the WSDL 2.0 model.
 * 
 * @author Lawrence Mandel, IBM
 */
public class WSDLException extends Exception
{
  /**
   * Constructor.
   * 
   * @param message The exception message.
   */
  public WSDLException(String message)
  {
    super(message);
  }
}
