/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl.validate.internal.xml;


/**
 * The default implementation of AbstractXMLConformanceFactory.
 * 
 * @author Lawrence Mandel, IBM
 */
public class DefaultXMLConformanceFactory extends AbstractXMLConformanceFactory
{

  /**
   * Constructor.
   */
  public DefaultXMLConformanceFactory()
  {
  }

  /**
   * @see org.eclipse.wsdl.validate.internal.xml.AbstractXMLConformanceFactory#getXMLValidator()
   */
  public IXMLValidator getXMLValidator()
  {
    return new DefaultXMLValidator();
  }

}
