/**********************************************************************
 * Copyright (c) 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
*
 * Contributors:
 *    IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.monitor.core;

import java.io.IOException;
/**
 * 
 */
public interface IContentFilter {
	public String getId();

	public String getName();
	
	public int getOrder();

	public byte[] filter(IRequest request, boolean isRequest, byte[] b) throws IOException;
}