/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model;

/**
 * This interface represents the types element information item from the 
 * WSDL 2.0 specification's abstract model (section 3). The types 
 * element information item contains imported and embedded schemas.
 * 
 * The XML representation of the Types element information item is:
 * <types>
 *  <documentation />?
 *  [extension elements]*
 * </types>
 *
 * @author Lawrence Mandel, IBM
 */
public interface Types extends ElementInfoItem
{

}
