/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model.factory.impl;

import org.eclipse.wsdl20.model.factory.WSDLFactory;
import org.eclipse.wsdl20.model.xml.WSDLReader;
import org.eclipse.wsdl20.model.xml.impl.WSDLReaderImpl;

/**
 * The default implementation of WSDLFactory.
 * 
 * @author Lawrence Mandel, IBM
 */
public class WSDLFactoryImpl extends WSDLFactory
{

  /**
   * @see org.eclipse.wsdl20.model.factory.WSDLFactory#newWSDLReader()
   */
  public WSDLReader newWSDLReader()
  {
    return new WSDLReaderImpl();
  }

}
