/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model.impl;

import javax.xml.namespace.QName;

import org.eclipse.wsdl20.model.PropertyConstraint;

/**
 * An implementation of a property constraint from the WSDL 2.0 specification.
 * 
 * @author Lawrence Mandel, IBM
 */
public class PropertyConstraintImpl extends ElementInfoItemImpl implements PropertyConstraint
{

  /**
   * @see org.eclipse.wsdl20.model.PropertyConstraint#getConstraint()
   */
  public String getConstraint()
  {
    //TODO: figure out where to get the constraint from.
    return null;
  }

  /**
   * @see org.eclipse.wsdl20.model.ElementInfoItem#getQName()
   */
  public QName getQName()
  {
    return Constants.Q_ELEM_CONSTRAINT;
  }

}
