/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl.validate.exception;

/**
 * Custom exception for WSDL validation.
 * 
 * @author Lawrence Mandel, IBM
 */
public class ValidateWSDLException extends Exception
{
  /**
   * Constructor.
   * 
   * @param message The exception message
   */
  public ValidateWSDLException(String message)
	{
	  super(message);
	}
}
