/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsi.test.tools.util.report;

import java.util.List;

import org.wsi.test.report.Report;
/**
 * ReportImpl
 * 
 * Extends the Report from the WS-I Test Tools to make the entries and artifacts public.
 */
public class ReportImpl extends org.wsi.test.report.impl.ReportImpl implements Report
{

  /**
   * Constructor for ReportImpl.
   */
  public ReportImpl()
  {
    super();
  }

  /**
   * Method getEntries.
   * @return entry list.
   */
  public List getEntries()
  {
    return entryList;
  }

  /**
   * Method getArtifacts.
   * @return artifacts.
   */
  public List getArtifacts()
  {
    return artifactList;
  }

}
