/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.wsi.test.monitor;

/**
 * This interface is for receiving connection events.
 * 
 * @author Sergey Suhoruchkin
 * @version 1.0.1
 */
public interface ConnectionListener
{
  /**
   * Invoked when connection is closed.
   * @param connection socket connection.
   */
  public void connectionClosed(SocketConnection connection);
}
