/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.wsi.test.profile.validator.impl.message;

import org.wsi.test.profile.validator.impl.BaseMessageValidator;

/**
 * WSI1104.
 * The request message should not contain a content-type of "text/xml".
 */
public class WSI1104 extends BP1104
{

  /**
   * @param BaseMessageValidator
   */
  public WSI1104(BaseMessageValidator impl)
  {
    super(impl);
  }
}
