/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.wsi.util;

/**
 * A set of HTTP values that are defined by Network Working Group.
 * http://www.ietf.org/
 *
 * @version 1.0
 * @author Ilya Kanonirov (kio@isg.axmor.com)
 */
public class MIMEConstants {
  public static final String HEADER_CONTENT_ID = "Content-ID";
  public static final String HEADER_CONTENT_TRANSFER_ENCODING = "Content-Transfer-Encoding";
  public static final String HEADER_CONTENT_TYPE = "Content-Type";
}